<?php

namespace KupShop\ReclamationsBundle\Event;

use KupShop\ReclamationsBundle\Entity\ReclamationEntity;
use Symfony\Contracts\EventDispatcher\Event;

class ReclamationsEvent extends Event
{
    public const RECLAMATION_CREATED = 'kupshop.reclamations.created';
    public const STATUS_CHANGED = 'kupshop.reclamations.status_changed';

    private $entity;
    private $status;

    public function __construct(ReclamationEntity $entity, $status)
    {
        $this->entity = $entity;
        $this->status = $status;
    }

    public function getEntity()
    {
        return $this->entity;
    }

    public function setEntity($entity): void
    {
        $this->entity = $entity;
    }

    public function getStatus()
    {
        return $this->status;
    }
}
